Bug 1736152 - pixman: FTBFS in Fedora rawhide/f31
Summary: pixman: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pixman
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 14:55 UTC by Fedora Release Engineering
Modified: 2020-11-24 20:19 UTC (History)
6 users (show)

Fixed In Version: pixman-0.38.0-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:19:11 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-08-01 14:55 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 14:55 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-08-01 14:55 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 14:55:18 UTC
pixman failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36635645


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix pixman at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pixman will be orphaned. Before branching of Fedora 32,
pixman will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 14:55:21 UTC
Created attachment 1597855 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-08-01 14:55:23 UTC
Created attachment 1597856 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 14:55:25 UTC
Created attachment 1597857 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:58:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Adam Jackson 2019-08-13 18:47:00 UTC
This is just the test suite taking too long on arm. I've bumped the timeout and it builds fine now.

Comment 6 Ben Cotton 2020-11-03 15:26:02 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-11-24 20:19:11 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.